QGIS Application - Bug report #15105
Problem with handling Plugin layers style
2016-06-22 01:37 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23047
Description

With QGIS master, when loading a plugin layer (Crayfish in my case) | get the following error:

NotimplementedError: QgsPluginLayer.writeStyle() is abstract and must be overridden

Python version: 2.7.6 (default, Jun 22 2015, 18:01:27) [GCC 4.8.2]
QGIS version: 2.15.0-Master Master, f645b79

This is likely to be due to the new dock style manager.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-10-18 07:25 AM - Saber Razmjooei

- Status changed from Open to Closed

- Description updated
